unit ABSReg;

{$I ABSVer.inc}

interface

procedure Register; // register AbsoluteDatabase components in group AbsoluteDatabase

implementation

uses Classes, TypInfo, Controls,
 {$IFDEF D6H}
 DesignIntf,
 {$ELSE}
 Dsgnintf,
 {$ENDIF}

// AbsoluteDatabase units

 ABSMain,
 ABSEdit;

//------------------------------------------------------------------------------
// registration
//------------------------------------------------------------------------------
procedure Register;
begin
  RegisterComponents('Absolute DB', [TABSTable]);
  RegisterComponents('Absolute DB', [TABSQuery]);
  RegisterComponents('Absolute DB', [TABSDatabase]);
  RegisterComponents('Absolute DB', [TABSSession]);

  //--- dataset ---
  RegisterPropertyEditor(TypeInfo(String),TABSDataSet,'SessionName',
                         TABSSessionNameProperty);
  RegisterPropertyEditor(TypeInfo(String), TABSDataset, 'DatabaseName',
       TABSDatabaseNameProperty);
  //--- table ---
  RegisterPropertyEditor(TypeInfo(String), TABSTable, 'TableName',
       TABSTableNameProperty);
  RegisterPropertyEditor(TypeInfo(String), TABSTable, 'MasterFields',
        TABSFieldLinkProperty);
  RegisterPropertyEditor(TypeInfo(String), TABSTable, 'IndexName', TABSIndexNameProperty);
  RegisterPropertyEditor(TypeInfo(String), TABSTable, 'IndexFieldNames', TABSIndexFieldNamesProperty);
  // --- database ---
  RegisterPropertyEditor(TypeInfo(String),TABSDatabase,'SessionName',
                         TABSSessionNameProperty);
  RegisterPropertyEditor(TypeInfo(String), TABSDatabase, 'DatabaseFileName',
       TABSDatabaseFileNameProperty);
end; // Register


end.
